import { Shortcut, ShortcutChord } from '@journeyapps-labs/reactor-mod';
import { MonacoShortcutHandler } from './MonacoShortcutHandler';
import { MonacoStoreAction } from '../stores/keybindings/definitions';
export declare class MonacoShortcut extends Shortcut<MonacoShortcutHandler> {
    dispose(): void;
    getMonacoStoreAction(): MonacoStoreAction;
    getAsMonacoPrimitive(primary: boolean): any;
    setChord(chord: ShortcutChord, fire?: boolean): void;
}
